# Uses of Interface
org.apache.qpid.proton.engine.impl.ProtocolTracer

Packages that use ProtocolTracer
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.logging

## Uses of ProtocolTracer in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return ProtocolTracer
Modifier and Type
Method
Description
`ProtocolTracer`
ProtonJTransport.`getProtocolTracer()`
Methods in org.apache.qpid.proton.engine with parameters of type ProtocolTracer
Modifier and Type
Method
Description
`void`
ProtonJTransport.`setProtocolTracer(ProtocolTracer protocolTracer)`

## Uses of ProtocolTracer in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return ProtocolTracer
Modifier and Type
Method
Description
`ProtocolTracer`
TransportImpl.`getProtocolTracer()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type ProtocolTracer
Modifier and Type
Method
Description
`void`
TransportImpl.`setProtocolTracer(ProtocolTracer protocolTracer)`

## Uses of ProtocolTracer in org.apache.qpid.proton.logging

Classes in org.apache.qpid.proton.logging that implement ProtocolTracer
Modifier and Type
Class
Description
`class`
`LoggingProtocolTracer`